Skip to content

Add approvers to mandate

Request

🔒 Private label — contact sales. Requires a private-label entitlement on your API client.

Add one or more approvers to a mandate by providing their IDs and configuration

Security
oauth2ClientCredentials(Required scopes: roles:write)
Path
mandate_idstringrequired
Headers
business_idstringrequired

Business identifier for the request

Bodyapplication/jsonrequired
approversArray of objects(ApproverWithIdDto)required

Array of approvers to add to the mandate

Example:
[ { "_id": "68c2cc82272ac8e89e3f930c", "must_approve": false, "level": 1 } ]
curl -i -X POST \
  'https://developer.boyahq.com/_mock/v2/openapi/permissions/mandates/{mandate_id}/approvers' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'business_id: string' \
  -d '{
    "approvers": [
      {
        "_id": "68c2cc82272ac8e89e3f930c",
        "must_approve": false,
        "level": 1
      }
    ]
  }'

Responses

Approvers added to mandate successfully

Bodyapplication/json
statusnumberrequired

HTTP status code

Example:200
dataobject(MandateDataV1Dto)

Response data containing mandate objects

timestampstringrequired

Response timestamp in ISO format

Example:"2026-01-09T11:09:56.314Z"
Response
{ "status": 200, "data": { "data": [] }, "timestamp": "2026-01-09T11:09:56.314Z" }